.hero {
  display: grid;
  height: 85vh;
  grid-template-columns: 2fr 1fr 3fr;
  grid-template-rows: 2fr 1fr;

  .keen-slider {
    grid-column: 2 / 4;
    grid-row: 1 / 3;
  }

  .title-wrapper {
    margin: $element-margin 0 0 $element-margin;
    grid-column: 1 / 3;
    grid-row: 1 / 2;
    z-index: $z-index-hero-text;
  }

  .subline-wrapper {
    margin: $element-margin $element-margin 0 $element-margin;
    grid-column: 1 / 2;
    grid-row: 2 / 3;
  }

  .title {
    display: block;
    line-height: 1.2;
    font-size: clamp(50px, 10.4vw, rem(200));
    font-variation-settings: $font-weight-bold;
    clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
    animation: title-in 2s ease .5s 1 normal forwards;

    &-sub {
      display: block;
      font-family: $font-secondary;
      font-size: clamp(30px, 4.7vw, rem(90));
      font-variation-settings: $font-weight;
      text-transform: uppercase;
      animation: title-in 2s ease .6s 1 normal forwards;
    }
  }

  .subline {
    @extend %letter-spacing;

    display: block;
    opacity: 0;
    animation: subline-in 1.2s ease 1.5s 1 normal forwards;

    &-primary {
      font-size: clamp(22px, rem(28), rem(28));
    }

    &-secondary {
      font-size: clamp(18px, rem(22), rem(22));
      font-variation-settings: $font-weight-light;
    }
  }

  @media (max-width: $breakpoint-medium) {
    height: auto;
    padding: $page-margin;
    grid-template-columns: 1fr;
    grid-template-rows: repeat(3, auto);
    gap: $gap * 2 / 3;

    .keen-slider {
      height: 40vh;
      grid-column: 1 / 2;
      grid-row: 3 / 4;
    }

    .title-wrapper {
      grid-column: 1 / 2;
    }

    .subline-wrapper {
      grid-column: 1 / 2;
      grid-row: 2 / 3;
    }

    .title-wrapper,
    .subline-wrapper {
      margin: 0;
    }
  }
}

@keyframes title-in {
  from {
    clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
  }

  to {
    clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
  }
}

@keyframes subline-in {
  from {
    opacity: 0;
    transform: translateX(-50px);
  }

  to {
    opacity: 1;
    transform: translateX(0);
  }
}
